package com.fzm.mall.server.admin.user_center.enums.type;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * @author wangp
 * @date 2021/3/24 10:52
 * @description 商户等级
 * @since JDK 1.8
 */
public enum MerchantLevelTypeEnum {

    BASE(1),//基础
    SENIOR(2),//高级
    DIAMONDS(3);//钻石

    private Integer type;

    MerchantLevelTypeEnum(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public static List<Integer> getValueList() {
        return Arrays.stream(MerchantLevelTypeEnum.values())
                .map(MerchantLevelTypeEnum::getType)
                .collect(Collectors.toList());
    }
}
